Copy PageCreate a message template setpost https://vision-api.truepic.{tld}/v3/message-template-setsBody ParamsThe request body for POST /message-template-sets.auto_replystringrequiredThe message template for messages sent as automated replies when an app user sends a message to a member.finish_reminderstringrequiredlength ≥ 1(?=[\s\S]*\{\{SmartLink\}\})(?=[\s\S]*\{\{CustomNote\}\})The text of a customer request or reminder. Both the {{SmartLink}} and {{CustomNote}} placeholders are required when writing it.finish_reminder_subjectstringrequiredlength ≤ 255The email subject for messages sent as reminders to finish inspections.inspection_finishedstringrequiredThe message template for messages sent for finished inspection requests.inspection_finished_enabledbooleanrequiredDefaults to falseWhether the "inspection finished" message is enabled and will be sent.truefalseinspection_finished_subjectstringrequiredlength ≤ 255The email subject for messages sent for finished inspection requests.namestringrequiredlength ≤ 255The name of the message template set.new_requeststringrequiredlength ≥ 1(?=[\s\S]*\{\{SmartLink\}\})(?=[\s\S]*\{\{CustomNote\}\})The text of a customer request or reminder. Both the {{SmartLink}} and {{CustomNote}} placeholders are required when writing it.new_request_subjectstringrequiredlength ≤ 255The email subject for messages sent for new inspection requests.request_morestringrequiredlength ≥ 1(?=[\s\S]*\{\{SmartLink\}\})(?=[\s\S]*\{\{CustomNote\}\})The text of a customer request or reminder. Both the {{SmartLink}} and {{CustomNote}} placeholders are required when writing it.request_more_subjectstringrequiredlength ≤ 255The email subject for messages sent as requests for more photos on inspections.request_reminderstringrequiredlength ≥ 1(?=[\s\S]*\{\{SmartLink\}\})(?=[\s\S]*\{\{CustomNote\}\})The text of a customer request or reminder. Both the {{SmartLink}} and {{CustomNote}} placeholders are required when writing it.request_reminder_subjectstringrequiredlength ≤ 255The email subject for messages sent as reminders for non-started inspections.Responses 201Success 400The request is malformed or fails path, query, body, or lifecycle validation. Standard errors include response_code, message and api_version, and an error_code when a client can act on the specific reason. Use the x-request-id response header when reporting a failed request. 401Authentication failed, or the user/client doesn't have permission to access the requested resource. 403The user doesn't have permission to access the requested resource. 404The requested resource couldn't be found. 412A request precondition failed. Some operations also return 412 when a related resource is not found, such as an assigned member when updating an inspection. Missing required fields normally return 400. Check the operation and message for the failed precondition. 500An unexpected error occurred.Updated 7 months ago Get a list of message template setsGet a message template setDid this page help you?YesNo